Unit tde50r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, DE50R_p;

function tde50r: String;

implementation

function tde50r: String;
var
NX,IMAX,N,I,IK,IERR :Integer;
XN,XK,EPS,H,X :Real;
CN :Array [0..2] of Real;
CK :Array [0..2] of Real;
F :Array [0..199] of Real;
G :Array [0..199] of Real;
R :Array [0..199] of Real;
YX :Array [0..199] of Real;
DELTY :Array [0..199] of Real;
RAB :Array [0..1599] of Real;
Y :Array [0..199] of Real;
YR :Array [0..199] of Real;
label
_1,_2;
begin
Result := '';  {   }
XN := -1.0;
XK := 1.0;
NX := 200;
CN[0] := 1.0;
CN[1] := -2.0;
CN[2] := 0.0;
CK[0] := 1.0;
CK[1] := 2.0;
CK[2] := 0.0;
IMAX := 4;
EPS := 0.00001;
N := NX-1;
H := (XK-XN)/N;
X := XN-H;
for I:=1 to NX do
 begin
  X := X+H;
  F[I-1] := IntPower(X,2);
  G[I-1] := X;
  R[I-1] := 10.0*Exp(-IntPower(X,2))*(2.0*IntPower(X,2)-1.0)*(2.0-X);
_1:
 end;
DE50R(NX,XN,XK,CN,CK,F,G,R,EPS,IMAX,YX,IK,DELTY,RAB,IERR);
Result := Result + Format('%s',['     IK']);
Result := Result + Format('%8d ',[IK]) + #$0D#$0A;
X := XN-H;
for I:=1 to NX do
 begin
  X := X+H;
  Y[I-1] := 10.0*Exp(-IntPower(X,2));
  YR[I-1] := YX[I-1]-Y[I-1];
  Result := Result + Format(' %20.16f %20.16f %20.16f %20.16f ',
 [X,YX[I-1],Y[I-1],YR[I-1]]) + #$0D#$0A;
_2:
 end;
UtRes('tde50r',Result);  {     tde50r.res }
exit;
end;

end.
